<div class="container">
  <h1>Project Data</h1>

  <div class="project-data">
    <div class="border-with-white-bg pad-30-20 border-form">
      <form #pDataForm="ngForm">
        <div class="form-row">
          <div class="col-sm-2">
            <label>Date</label>
          </div>
          <div class="col-sm-10">
            <input type="date"
              name="projectDate"
              [ngModel]="selectedProject.Date | date:'yyyy-MM-dd'"
              (ngModelChange)="selectedProject.Date=$event"
              placeholder="29/06/2017"
              required
              #projectDate="ngModel" />
            <div *ngIf="projectDate.invalid && (projectDate.dirty || projectDate.touched)"
              class="alert alert-danger">
              <div *ngIf="projectDate.errors.required">
                <small> Date is required </small>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="col-sm-2">
            <label>Engineer Name</label>
          </div>
          <div class="col-sm-10">
            <input id="engineerName"
              type="text"
              required
              (keydown.enter)="handleEnterKey($event,'customerName')"
              [(ngModel)]="selectedProject.Engineer"
              name="engineerName"
              value=""
              placeholder="kumar"
              #engineerName="ngModel" />
            <div *ngIf="engineerName.invalid && (engineerName.dirty || engineerName.touched)"
              class="alert alert-danger">
              <div *ngIf="engineerName.errors.required">
                <small> Engineer Name is required </small>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="col-sm-2">
            <label>Customer Name</label>
          </div>
          <div class="col-sm-10">
            <input id="customerName"
              type="text"
              name="customerName"
              (keydown.enter)="handleEnterKey($event,'projectName')"
              [(ngModel)]="selectedProject.CustomerName"
              placeholder="Christianpfeiffer"
              required
              #customerName="ngModel" />
            <div *ngIf="customerName.invalid && (customerName.dirty || customerName.touched)"
              class="alert alert-danger">
              <div *ngIf="customerName.errors.required">
                <small> Customer Name is required </small>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="col-sm-2">
            <label>Project Name</label>
          </div>
          <div class="col-sm-10">
            <input id="projectName"
              type="text"
              name="projectName"
              (keydown.enter)="handleEnterKey($event,'proposalNo')"
              [(ngModel)]="selectedProject.ProjectName"
              placeholder="Dalmia Cement"
              required
              #projectName="ngModel" />
            <div *ngIf="projectName.invalid && (projectName.dirty || projectName.touched)"
              class="alert alert-danger">
              <div *ngIf="projectName.errors.required">
                <small> Project Nname is required </small>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="col-sm-2">
            <label>Proposal No.</label>
          </div>
          <div class="col-sm-10">
            <input id="proposalNo"
              type="text"
              name="proposalNo"
              (keydown.enter)="handleEnterKey($event,'next')"
              [(ngModel)]="selectedProject.Proposal_OrderNo"
              placeholder="DF/019284/2017"
              required
              #proposalNo="ngModel" />
            <div *ngIf="proposalNo.invalid && (proposalNo.dirty || proposalNo.touched)"
              class="alert alert-danger">
              <div *ngIf="proposalNo.errors.required">
                <small> Proposal Number is required </small>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
    <div class="text-right mgt-15">
      <button id="next"
        type="button"
        [disabled]="pDataForm.invalid"
        (click)="clickNext.emit()"
        class="btn-green">Next</button>
    </div>
  </div>

</div>
